Summary:        Theme engines for GTK+ 3.0
Name:           gtk3-engines
Version:        2.90.3.1
Release:        4%{?dist}
# for details on which engines are GPL vs LGPL, see COPYING
License:        LGPLv2+
Group:          System Environment/Libraries
#VCS: git:git://git.gnome.org/gtk-engines
Source:         http://download.gnome.org/sources/gtk-engines/2.90/gtk-engines-%{version}.tar.bz2

BuildRequires:  gtk3-devel >= 2.90.1
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  pkgconfig

URL:            http://download.gnome.org/sources/gtk-engines

# Fedora-specific tweaks
Patch0: bullet.patch
Patch1: tooltips.patch
Patch2: auto-mnemonics.patch
Patch3: window-dragging.patch
Patch4: gtk-engines-tab-expand.patch

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The gtk3-engines-devel package contains files needed to develop
software that uses the theme engines in the gtk3-engines package.


%description
The gtk3-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines. Theme engines
provide different looks for GTK+, some of which resemble other
toolkits or operating systems.

%prep
%setup -q -n gtk-engines-%{version}
%patch0 -p1 -b .bullet
%patch1 -p1 -b .tooltips
%patch2 -p1 -b .auto-mnemonics
%patch3 -p1 -b .window-dragging
%patch4 -p1 -b .tab-expand

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# no .la files, please
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs rm

%find_lang gtk3-engines


%files -f gtk3-engines.lang
%defattr(644, root, root, 755)
%doc README AUTHORS NEWS COPYING
%attr (755, root, root) %{_libdir}/gtk-3.0/3.0.0/engines/*.so
%{_datadir}/themes/*
%{_datadir}/gtk-engines

%files devel
%defattr(644, root, root, 755)
%{_libdir}/pkgconfig/gtk-engines-3.pc

%changelog
* Thu Jul 15 2010 Matthias Clasen <mclasen@redhat.com> 2.90.3.1-4
- Fix warnings for notebooks

* Tue Jul 13 2010 Matthias Clasen <mclasen@redhat.com> 2.90.3.1-3
- Rebuild

* Wed Jun 30 2010 Matthias Clasen <mclasen@redhat.com> 2.90.3.1-2
- Rebuild

* Tue Jun 29 2010 Matthias Clasen <mclasen@redhat.com> 2.90.3.1-1
- Update to 2.90.3.1

* Sat Jun 12 2010 Matthias Clasen <mclasen@redhat.com> 2.90.1-4
- Copy some tweaks from gtk2-engines

* Fri Jun 11 2010 Matthias Clasen <mclasen@redhat.com> 2.90.1-3
- Fix changelog versions

* Thu Jun 10 2010 Matthias Clasen <mclasen@redhat.com> 2.90.1-2
- Use %%{?_smp_mflags}

* Thu Jun 10 2010 Matthias Clasen <mclasen@redhat.com> 2.90.1-1
- Initial packaging
